## get delta and weight information from an anova object of model comparisons

# Sven Hohenstein, 2011	

DeltaAICBIC <- function(AOV) {

	AOV$deltaAIC <- AOV$AIC - min(AOV$AIC)
	AOV$deltaBIC <- AOV$BIC - min(AOV$BIC)
	AOV$wAIC <- exp(-0.5 * AOV$deltaAIC) / sum(exp(-0.5 * AOV$deltaAIC))
	AOV$wBIC <- exp(-0.5 * AOV$deltaBIC) / sum(exp(-0.5 * AOV$deltaBIC))
	return(AOV)
		
}