Fmutaf.gonogosc<-function (t, condition,y2v1,y3v1,o2v1,o3v1,ch2v1,ch3v1,task, c, rate, std,sc,g1,g2,MD1) {

c1 <- as.integer(condition==1)# go-go Condition, MD=1
c2 <- as.integer(condition==2)# go-go Condition, MD=2
c3 <- as.integer(condition==3)# go-go Condition, MD=3
c4 <- as.integer(condition==4)# go-nogo Condition, MD=1
c5 <- as.integer(condition==5)# go-nogo Condition, MD=2
c6 <- as.integer(condition==6)# go-nogo Condition, MD=3

task <- as.numeric(task )

gogo.cond <-(c1+c2+c3)

stor <- 1*(c1+c4) + 2*(c2+c5) + 3*(c3+c6)

dis <- 0
temp <- sqrt(6)*std/pi
# temperature for Boltzman equation

asy_i <- (1-c/2)^(stor-1) # Activation Asympt. of target Equation 2
asy_j <- (c/2)            # Activ. Asympt.of Distractor 

ai2 <- asy_i * (1-exp(-t * rate))   # activation of new target across time for gogo steps Equation 4
aj2 <- asy_j * (1-c/2)^(stor-2) * (1-exp(-t * rate)) # activation of distractors in WM across time Equation 5

ai2t <- asy_i * (1-exp(-((2*t)-sc) * rate))# activation of of new target across time for go-nogo steps Equation 3a

# Prob. of succ. updating steps (go-go steps)
# Equation 7
pe <- exp(ai2/temp)/(exp(ai2/temp) + (stor-1) * exp(aj2/temp) + (12-stor) * exp(dis/temp))

# Probability of succ. updating steps (go-nogo steps)
#Equation 7 but with ai2t (Equation 3a)
pe1 <- exp(ai2t/temp)/(exp(ai2t/temp) + (stor-1) * exp(aj2/temp) + (12-stor) * exp(dis/temp))

#Probability of computing the final result for a time set to infinit
pe4 <- exp(asy_i/temp)/(exp(asy_i/temp) + (stor-1) * exp(asy_j/temp) + (12-stor) * exp(dis/temp))


comp <- comp <- (c1) * (pe^5.49) * pe4 + 
                (c2) * (pe^2.75)* pe4 + 
                (c3) * (pe^1.84)  * pe4+ 
                (c4) * (1/2*pe^2 + 1/2*pe1^1.2)* pe4 + 
                (c5) * (1/2*pe^2.1 + 1/2*pe1^2.3)* pe4 + 
                (c6) * (1/2*pe^1.2 + 1/2*pe1^1.3)* pe4

pred= 1/12 + (1-1/12) * comp
}
